Get Manifest Configuration Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration \
--header 'Authorization: Bearer <token>'{
"manifest": {
"delete_permanently": true,
"manifest_base64": "<string>",
"name": "<string>",
"state": "creating"
},
"jobs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Imported Clusters
Get Manifest Configuration Endpoint
Returns the manifest’s base64-encoded content.
Used by ankra cluster manifests upgrade to preserve manifest_base64 when
the user supplies only metadata changes (e.g. —namespace).
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
manifests
/
{manifest_name}
/
configuration
Get Manifest Configuration Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/manifests/{manifest_name}/configuration \
--header 'Authorization: Bearer <token>'{
"manifest": {
"delete_permanently": true,
"manifest_base64": "<string>",
"name": "<string>",
"state": "creating"
},
"jobs": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.